// Copyright (c) 2017, Patrick Minogue. All rights reserved. Use of this source code
// is governed by a BSD-style license that can be found in the LICENSE file.

import 'dart:async' show Stream, StreamController;
import 'package:angular2/angular2.dart';
import 'package:angular_components/angular_components.dart';

@Component(
    selector: 'fo-modal',
    styleUrls: const ['fo_modal_component.css'],
    templateUrl: 'fo_modal_component.html',
    directives: const [materialDirectives],
    preserveWhitespace: false
)
class FoModalComponent
{
  FoModalComponent();

  void close()
  {
    visible = false;
    onIsVisibleController.add(false);
  }

  @Input('visible')
  bool visible = false;

  @Input('title')
  String title = "";

  @Output('visibleChange')
  Stream<bool> get isVisible => onIsVisibleController.stream;

  final StreamController<bool> onIsVisibleController = new StreamController();
}
